> For the complete documentation index, see [llms.txt](https://docs.os.uk/os-apis/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.os.uk/os-apis/accessing-os-apis/os-net-api/technical-specification/models.md).

# Models

## The StationNetworkHealth object

```json
{"openapi":"3.0.0","info":{"title":"OS Net API","version":"1.6.1-SNAPSHOT"},"components":{"schemas":{"StationNetworkHealth":{"type":"array","items":{"type":"object","properties":{"stationId":{"type":"string"},"hourlyData":{"$ref":"#/components/schemas/HourlyData"}}}},"HourlyData":{"type":"array","items":{"type":"object","properties":{"hour":{"type":"integer","minimum":0,"maximum":23},"percentageComplete":{"type":"integer","minimum":0,"maximum":100},"dataFrequency":{"description":"Gives the data frequency that the percentage complete describes.","type":"string"}}}}}}}
```

## The HealthByDate object

```json
{"openapi":"3.0.0","info":{"title":"OS Net API","version":"1.6.1-SNAPSHOT"},"components":{"schemas":{"HealthByDate":{"type":"array","items":{"type":"object","properties":{"date":{"type":"string","format":"date"},"hourlyData":{"$ref":"#/components/schemas/HourlyData"}}}},"HourlyData":{"type":"array","items":{"type":"object","properties":{"hour":{"type":"integer","minimum":0,"maximum":23},"percentageComplete":{"type":"integer","minimum":0,"maximum":100},"dataFrequency":{"description":"Gives the data frequency that the percentage complete describes.","type":"string"}}}}}}}
```

## The HourlyData object

```json
{"openapi":"3.0.0","info":{"title":"OS Net API","version":"1.6.1-SNAPSHOT"},"components":{"schemas":{"HourlyData":{"type":"array","items":{"type":"object","properties":{"hour":{"type":"integer","minimum":0,"maximum":23},"percentageComplete":{"type":"integer","minimum":0,"maximum":100},"dataFrequency":{"description":"Gives the data frequency that the percentage complete describes.","type":"string"}}}}}}}
```

## The Station object

```json
{"openapi":"3.0.0","info":{"title":"OS Net API","version":"1.6.1-SNAPSHOT"},"components":{"schemas":{"Station":{"type":"object","description":"Information about a GPS station.","required":["stationId","ETRS89_X","ETRS89_Y","ETRS89_Z","ETRS89_Lat","ETRS89_Long","ETRS89_H","OSGB36_N","OSGB36_E","ortho_h","ortho_Datum","tranModel","percentageComplete"],"properties":{"stationId":{"type":"string"},"stationName":{"type":"string"},"ETRS89_X":{"type":"number"},"ETRS89_Y":{"type":"number"},"ETRS89_Z":{"type":"number"},"ETRS89_Lat":{"type":"string"},"ETRS89_Long":{"type":"string"},"ETRS89_H":{"type":"number"},"OSGB36_E":{"type":"number"},"OSGB36_N":{"type":"number"},"ortho_h":{"type":"number"},"ortho_Datum":{"type":"string"},"tranModel":{"type":"string"},"percentageComplete":{"description":"Health percentage, based on expected and actual data for the station, and for the overall time period that was queried. If the time period is omitted then the percentage complete will not be included in the response.","type":"integer","minimum":0,"maximum":100},"dataFrequency":{"description":"Gives the data frequency that the percentage complete describes.","type":"string"},"distance":{"description":"Distance in KM from given search point, to two decimal places. Omitted if the query did not include a location.","type":"number"},"links":{"description":"Links for finding further information about the station.\n","type":"array","items":{"$ref":"#/components/schemas/Link"}}}},"Link":{"title":"Link","description":"Provides a link leading to further information about a resource","type":"object","properties":{"href":{"type":"string","format":"uri"},"rel":{"type":"string"},"type":{"type":"string"},"title":{"type":"string"},"description":{"type":"string"}},"required":["href","rel","type","title","description"]}}}}
```

## The Link object

```json
{"openapi":"3.0.0","info":{"title":"OS Net API","version":"1.6.1-SNAPSHOT"},"components":{"schemas":{"Link":{"title":"Link","description":"Provides a link leading to further information about a resource","type":"object","properties":{"href":{"type":"string","format":"uri"},"rel":{"type":"string"},"type":{"type":"string"},"title":{"type":"string"},"description":{"type":"string"}},"required":["href","rel","type","title","description"]}}}}
```

## The SpatialParameters object

```json
{"openapi":"3.0.0","info":{"title":"OS Net API","version":"1.6.1-SNAPSHOT"},"components":{"schemas":{"SpatialParameters":{"description":"Spatial parameters for the /stations endpoint","type":"object","properties":{"location":{"description":"Optional. A point location for the search. Will reorder the results by distance from this point. Supports: National Grid eastings and northings (space separated), ETRS89 in Cartesian XYZ, decimal degrees (including degrees and decimal minutes / degrees, minutes, and decimal seconds), postcodes (including partial postcodes). More information: https://www.ordnancesurvey.co.uk/geodesy-positioning/coordinate-transformations/tool/formats.","type":"string"},"radius":{"description":"Optional, limits the search to the given radius. 'location' must also be provided.","type":"integer"},"stationCount":{"description":"Optional, limits the result to a fixed number of stations. 'location' must also be provided.","type":"integer"}}}}}}
```

## The TemporalParameters object

```json
{"openapi":"3.0.0","info":{"title":"OS Net API","version":"1.6.1-SNAPSHOT"},"components":{"schemas":{"TemporalParameters":{"description":"Parameters that provide an optional temporal window (from start to end) for a query. When using start and end, please note that start should be within the last 45 days, and the end should be no more than 24 hours after the start.","type":"object","properties":{"start":{"description":"Optional start date-time for the search window","type":"string","format":"date-time"},"end":{"description":"Optional end date-time for the search window","type":"string","format":"date-time"}}}}}}
```

## The RequiredTemporalParameters object

```json
{"openapi":"3.0.0","info":{"title":"OS Net API","version":"1.6.1-SNAPSHOT"},"components":{"schemas":{"RequiredTemporalParameters":{"description":"Parameters that provide a temporal window (from start to end) for a query. Please note that the start time should be within the last 45 days, and the end should be no more than 24 hours after the start.","type":"object","properties":{"start":{"description":"Start date-time for the search window","type":"string","format":"date-time"},"end":{"description":"End date-time for the search window","type":"string","format":"date-time"}},"required":["start","end"]}}}}
```

## The RinexFile object

```json
{"openapi":"3.0.0","info":{"title":"OS Net API","version":"1.6.1-SNAPSHOT"},"components":{"schemas":{"RinexFile":{"title":"RinexFile","description":"Metadata about a rinex file that is available for download","allOf":[{"$ref":"#/components/schemas/OSNetDownload"},{"type":"object","properties":{"station":{"type":"string","minLength":4,"maxLength":4},"start":{"type":"string","format":"date-time"},"duration":{"description":"The duration that this file covers, using RINEX filename conventions.","type":"string"},"dataFrequency":{"description":"The data frequency of this file, using RINEX filename conventions.","type":"string"},"percentageComplete":{"description":"Health percentage, based on expected and actual data in the file","type":"integer","minimum":0,"maximum":100}}}]},"OSNetDownload":{"type":"object","description":"Information about a specific download file that is made available through this API.\n","required":["url","fileName"],"properties":{"url":{"description":"Getting this URL will return a HTTP redirect to the actual data.","type":"string","format":"uri"},"fileName":{"description":"The name of the file.","type":"string"},"size":{"description":"The file size, in bytes.","type":"integer","format":"int64"},"md5":{"description":"A MD5 checksum of the file data. This can be used to verify the integrity of the data once you have downloaded it.","type":"string"},"format":{"description":"This describes the format of the data.","type":"string"},"subformat":{"description":"This describes the subformat of the data.","type":"string"}}}}}}
```

## The OSNetDownload object

```json
{"openapi":"3.0.0","info":{"title":"OS Net API","version":"1.6.1-SNAPSHOT"},"components":{"schemas":{"OSNetDownload":{"type":"object","description":"Information about a specific download file that is made available through this API.\n","required":["url","fileName"],"properties":{"url":{"description":"Getting this URL will return a HTTP redirect to the actual data.","type":"string","format":"uri"},"fileName":{"description":"The name of the file.","type":"string"},"size":{"description":"The file size, in bytes.","type":"integer","format":"int64"},"md5":{"description":"A MD5 checksum of the file data. This can be used to verify the integrity of the data once you have downloaded it.","type":"string"},"format":{"description":"This describes the format of the data.","type":"string"},"subformat":{"description":"This describes the subformat of the data.","type":"string"}}}}}}
```

## The MetaData object

```json
{"openapi":"3.0.0","info":{"title":"OS Net API","version":"1.6.1-SNAPSHOT"},"components":{"schemas":{"MetaData":{"type":"object","required":["title","description","links"],"properties":{"title":{"type":"string"},"description":{"type":"string"},"links":{"type":"array","items":{"$ref":"#/components/schemas/Link"}}}},"Link":{"title":"Link","description":"Provides a link leading to further information about a resource","type":"object","properties":{"href":{"type":"string","format":"uri"},"rel":{"type":"string"},"type":{"type":"string"},"title":{"type":"string"},"description":{"type":"string"}},"required":["href","rel","type","title","description"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.os.uk/os-apis/accessing-os-apis/os-net-api/technical-specification/models.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
